Skip to content

Get a list of data policy brief information

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Get a list of data policy brief information in pages, and use keywords to search for data policy name or data policy Code to fuzzy find data policy ID, data policy name and data policy description information.

Method name

ManagementClient.listSimpleDataPolices

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
querystringNo-Data policy name keyword searchexamplePolicyName

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listSimpleDataPolices({
    page: 1,
    limit: 10,
    query: "examplePolicyName",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: ListSimpleDataPoliciesPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (no return for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a DataPoliciesSimplePaginatedRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 20,
    "list": {
      "policyId": "60b49xxxxxxxxxxxxxxx6e68",
      "policyName": "Sample data policy name",
      "description": "Sample data policy description"
    }
  }
}

Data structure

DataPoliciesSimplePaginatedRespDto

NameTypeIs it required?DescriptionSample value

Agent infrastructure for identity, memory, and web action.